io.undertow.connector

## Interface PooledByteBuffer

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  ImmediatePooledByteBuffer, ReferenceCountedPooled

    public interface PooledByteBuffer
    extends AutoCloseable, Closeable

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`ByteBuffer` `getBuffer()`
`boolean` `isOpen()`

### Method Detail

#### getBuffer

    ByteBuffer getBuffer()

#### close

    void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`

#### isOpen

    boolean isOpen()